See Stacksync in action with a solution architect. Book a demo ↗
SyncsWebhooks

Sync webhooks

List sync webhooks

GET
/v1/workspaces/{workspace_id}/bases/{base_id}/webhooks

List the webhooks of a sync: the URLs Stacksync posts its notifications to.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace the resources belong to

base_id*string

The sync (a sync is called a base in these paths)

Formatuuid

Query Parameters

region*string

Data region of the sync

Value in"besg""usnv"

Response Body

The webhooks of the sync

application/json
  1. response

The webhooks of the sync

msg*string

Successfully retrieved webhooks

webhooks*array<>

The webhooks, in creation order

List sync webhooks
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks?region=besg'
{  "msg": "Successfully retrieved webhooks",  "webhooks": [    {      "webhook_id": "6a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",      "url": "https://hooks.example.com/stacksync",      "notification_type": "real_time_issue_notification",      "api_key": "whsec_7f3a9c2e4b1d"    }  ]}